<template>
  <div>
    <!-- desktop -->
    <div align="center" class="gt-md">
      <div class="cover-main">
        <div class="cover-hotpic" v-show="bookData.hotitem == '1'">
          <img src="../../public/image/hot.gif" style="width: 80px" alt="" />
        </div>
        <div class="cover-newpic q-px-md" v-show="bookData.complete == '1'">
          จบแล้ว
        </div>
        <img
          :src="openPic(bookData.bookid)"
          :alt="bookData.title"
          class="cover-pic"
          @click="selectBook(bookData.bookid)"
        />

        <div
          class="cover-title ellipsis-3-lines cover-hover"
          @click="selectBook(bookData.bookid)"
        >
          {{ bookData.title }}
        </div>
      </div>
    </div>

    <!-- tablet -->
    <div align="center" class="gt-xs lt-lg">
      <div class="cover-main-t">
        <div class="cover-hotpic-t" v-show="bookData.hotitem == '1'">
          <img src="../../public/image/hot.gif" alt="" style="width: 80px" />
        </div>
        <div class="cover-newpic-t q-px-md" v-show="bookData.complete == '1'">
          จบแล้ว
        </div>
        <img
          :src="openPic(bookData.bookid)"
          :alt="bookData.title"
          class="cover-pic-t"
          @click="selectBook(bookData.bookid)"
        />

        <div class="cover-title-t ellipsis-3-lines">
          {{ bookData.title }}
        </div>
      </div>
    </div>

    <!-- mobile -->
    <div align="center" class="lt-sm">
      <div class="cover-main-t">
        <div class="cover-hotpic-m" v-show="bookData.hotitem == '1'">
          <img src="../../public/image/hot.gif" alt="" style="width: 65px" />
        </div>
        <div class="cover-newpic-m q-px-md" v-show="bookData.complete == '1'">
          จบแล้ว
        </div>
        <img
          :src="openPic(bookData.bookid)"
          :alt="bookData.title"
          class="cover-pic-t"
          @click="selectBook(bookData.bookid)"
        />

        <div class="cover-title-m ellipsis-3-lines">{{ bookData.title }}</div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: ["bookData"],
  methods: {
    selectBook(id) {
      this.$router.push("/chapter/" + id);
    },
    openPic(id) {
      return this.serverpath + "cover/" + id + ".jpg";
    },
  },
  // watch: {
  //   data: function (newData, oldData) {
  //     console.log(newData);
  //   },
  // },
};
</script>

<style lang="scss" scoped>
.cover-pic {
  width: 200px;
  height: 300px;
  padding-top: 30px;
  cursor: pointer;
}

.cover-pic-t {
  width: 170px;
  height: 270px;
  padding-top: 30px;
  cursor: pointer;
}
.cover-hotpic-t {
  position: absolute;
  top: -10px;
  right: 10px;
}
.cover-hotpic-m {
  position: absolute;
  top: 0px;
  right: 0px;
}
.cover-title {
  width: 200px;
  font-size: 14px;
  height: 60px;
  margin-bottom: 20px;
  cursor: pointer;
}
.cover-title-t {
  width: 180px;
  font-size: 14px;
  height: 60px;
  margin-bottom: 20px;
}
.cover-title-m {
  width: 95%;
  font-size: 14px;
  height: 60px;
  margin-bottom: 20px;
}
.cover-hotpic {
  position: absolute;
  top: -7px;
  right: 30px;
}
.cover-newpic {
  position: absolute;
  top: 30px;
  left: calc(50% - 100px);
  color: white;
  background-color: #2d6be4;
  border-bottom-right-radius: 10px;
}
.cover-newpic-t {
  position: absolute;
  top: 30px;
  left: calc(50% - 85px);
  color: white;
  background-color: #2d6be4;
  border-bottom-right-radius: 10px;
}
.cover-newpic-m {
  position: absolute;
  top: 30px;
  left: calc(50% - 85px);
  color: white;
  background-color: #2d6be4;
  border-bottom-right-radius: 5px;
}
.cover-main {
  position: relative;
}

.cover-main-t {
  position: relative;
  height: 330px;
}
.cover-main:hover {
  .cover-hover {
    text-decoration: underline;
  }
}
</style>
